import request from '@/utils/request'

// 查询吃奶记录列表
export function listMilkPowderRecord(query) {
  return request({
    url: '/health/milkPowderRecord/list',
    method: 'get',
    params: query
  })
}

// 查询吃奶记录详细
export function getMilkPowderRecord(id) {
  return request({
    url: '/health/milkPowderRecord/' + id,
    method: 'get'
  })
}

// 新增吃奶记录
export function addMilkPowderRecord(data) {
  return request({
    url: '/health/milkPowderRecord',
    method: 'post',
    data
  })
}

// 修改吃奶记录
export function updateMilkPowderRecord(data) {
  return request({
    url: '/health/milkPowderRecord',
    method: 'put',
    data
  })
}

// 删除吃奶记录
export function delMilkPowderRecord(id) {
  return request({
    url: '/health/milkPowderRecord/' + id,
    method: 'delete'
  })
}
